haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Callback

Description

Parsing of callbacks.

# Documentation

data Callback Source #

Constructors

Callback |

Fields

- cbCallable :: Callable
- cbCType :: Maybe Text
- cbDocumentation :: Documentation

#### Instances

Instances details

Show Callback Source # |
Instance details Defined in Data.GI.GIR.Callback Methods showsPrec :: Int -> Callback -> ShowS Source # show :: Callback -> String Source # showList :: [Callback] -> ShowS Source #

parseCallback :: Parser (Name, Callback) Source #